/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc.transports;

import mqc.*;
import mqc.holders.*;
import mqc.ior.*;

import java.io.*;
import java.util.*;
import java.net.*;

/**
* SERIAL transport class (skeleton)
* 
* @author Olav Haugan
*
* 13.10.01
*/
public class S_SerialTransport extends S_Transport
{
   private ServerSocket socket;
   private TaggedProfile profile;

   /**
   * Constructor. Initializes variables.
   */
   public S_SerialTransport(S_ORB orb)
   {
      super(orb);
      socket = null;
      init();
   }

   /**
   * Initializes a connection.
   * We'll connect to the server here.
   *
   * @return boolean true if socket created successfully, false
   * otherwise
   */
   public boolean init()
   {
      return true;
   }

   /**
   * Thread run function. Waits for connections
   */
   public void run()
   {
      while(true)
      {
      }
   }

   /**
   * Returns the tagged profile
   *
   * @return TaggedProfile The tagged profile
   */
   public TaggedProfile getTaggedProfile()
   {
      return profile;
   }
}
