/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

import MQC.*;
import MQC.holders.*;

public class Client
{
	public static void main(String[] args)
	{
		C_ORB orb = new C_ORB();
//		System.out.println("ORB created!");
		Object object = orb.string_to_object(args[0]);
//		System.out.println("String to object!");
		test.test1 tester = test.test1Helper.narrow(object);
//		System.out.println("Narrow!");		
		long res = 0;

		long startTime = 0;
		long totalTime = 0;
		long iterations = 10000;
		
//    System.out.println(tester.function_testing_time(4));

		IntHolder arg1 = new IntHolder();		

		startTime = System.currentTimeMillis();
		for(int i = 0; i < iterations; i++)
		{
		    tester.function_testing_time(arg1, arg1, arg1,
				arg1, arg1, arg1, arg1, arg1, arg1, arg1);
		}
		totalTime += (System.currentTimeMillis() - startTime);
		double time = (double) (totalTime/ ((double) iterations));
		System.out.println("Average time: " + time);
	}
}
