/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

import MQC.*;
import MQC.holders.*;

public class Client
{
	public static void main(String[] args)
	{
		C_ORB orb = new C_ORB();
		
		Object object = orb.string_to_object(args[0]);
		Object object2 = orb.string_to_object(args[1]);
		
		one.two.test1 tester1 = one.two.test1Helper.narrow(object);
		one.two.test2 tester2 = one.two.test2Helper.narrow(object2);
		
		IntHolder a = new IntHolder();
		tester1.fun1( a );
		if(a.value == 123456)
			System.out.println("Success");
		else
			System.out.println("Failure");
		tester1.fun2( a );
		if(a.value == 665544)
			System.out.println("Success");
		else
			System.out.println("Failure");
		tester2.fun1( 76543 );
	}	
}
