/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc.protocols;

public abstract class GIOPReplyHeader implements Marshalable
{

   protected int m_reqID;
   protected int m_replyStatus;

   public GIOPReplyHeader()
   {
      m_reqID = 0;
      m_replyStatus = Reply.NO_EXCEPTION;
   }

   public int getRequestID()
   {
      return m_reqID;
   }

   public void setRequestID( int id )
   {
      m_reqID = id;
   }

   public int getReplyStatus()
   {
      return m_replyStatus;
   }

   public void setReplyStatus( int status )
   {
      m_replyStatus = status;
   }

}
